Get a list of patients
get
/Patient
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of patients that meet the supplied query parameters.
- Provide
_idor another primary selector. - Use
genderand_lastUpdatedonly to refine another selector. - Do not combine
_idwith other selectors except_revinclude.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: array[string]
The logical resource ID.
-
_lastUpdated: array[string]
Maximum Number of Items:
2The last updated date or range. -
_revinclude: string
The inclusion of related Provenance resourcesAllowed Values:
[ "Provenance:target" ] -
address-postalcode: string
The postal code prefix.
-
birthdate: array[string]
Maximum Number of Items:
2The birth date or range. -
email: string
The email address prefix.
-
family: string
The family name prefix.
-
gender: string
The administrative gender.
-
given: string
The given name prefix.
-
identifier: string
The identifier token as value or system|value.
-
name: string
The patient name prefix.
-
phone: string
The phone number prefix.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
total: integer
The number of patient match entries on this page; included Provenance entries are not counted.
-
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Patient
The patient demographics and administrative information returned by read and search.
-
object
ProvenanceForPatient
Nested Schema : Patient
Type:
objectThe patient demographics and administrative information returned by read and search.
Show Source
-
_gender: object
PrimitiveElementForPatient
-
active: boolean
Whether the patient record is active.
-
address: array
address
The patient addresses.
-
birthDate: string
(date)
The date of birth.
-
communication: array
communication
The languages used to communicate.
-
contact: array
contact
The related-person contacts.
-
deceasedBoolean: boolean
Whether the patient is deceased.
-
deceasedDateTime: string
(date-time)
The date and time of death.
-
extension: array
extension
The supported patient extensions.
-
gender(required): string
Allowed Values:
[ "male", "female", "other", "unknown" ]The administrative gender. -
generalPractitioner: array
generalPractitioner
The general practitioners and organizations.
-
id(required): string
The logical ID of the patient.
-
identifier(required): array
identifier
The patient and person identifiers.
-
maritalStatus: object
CodeableConcept
-
meta: object
meta
-
multipleBirthBoolean: boolean
Whether the patient is part of a multiple birth.
-
multipleBirthInteger: integer
The birth order within a multiple birth.
-
name(required): array
name
The official, preferred, and premarital names.
-
resourceType(required): string
Allowed Values:
[ "Patient" ] -
telecom: array
telecom
The patient contact points.
-
text: object
Narrative
Nested Schema : ProvenanceForPatient
Type:
Show Source
object-
resourceType(required): string
Allowed Values:
[ "Provenance" ]
Nested Schema : extension
Type:
arrayThe supported patient extensions.
Show Source
-
Array of:
object ExtensionForPatient
The FHIR extension, including supported US Core and Oracle patient extensions.
Nested Schema : generalPractitioner
Type:
arrayThe general practitioners and organizations.
Show Source
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForPatient
The FHIR extension, including supported US Core and Oracle patient extensions.
Nested Schema : ExtensionForPatient
Type:
objectThe FHIR extension, including supported US Core and Oracle patient extensions.
Show Source
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForPatient
The FHIR extension, including supported US Core and Oracle patient extensions.
Nested Schema : ContactForPatient
Type:
Show Source
object-
address: object
Address
-
gender: string
Allowed Values:
[ "male", "female", "other", "unknown" ] -
name: object
HumanName
-
period: object
Period
-
relationship: array
relationship
-
telecom: array
telecom
Nested Schema : ContactPointForPatient
Type:
Show Source
object-
_system: object
PrimitiveElementForPatient
-
_value: object
PrimitiveElementForPatient
-
extension: array
extension
-
period: object
Period
-
rank: integer
Minimum Value:
1 -
system: string
Allowed Values:
[ "phone", "fax", "email", "pager", "url", "sms", "other" ] -
use: string
Allowed Values:
[ "home", "work", "temp", "old", "mobile" ] -
value: string
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForPatient
The FHIR extension, including supported US Core and Oracle patient extensions.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source